		var flag=[0,0,0,0,0,0];
		var $=function(tagName){
			return document.getElementsByTagName(tagName);
		}
	//----------接受协议
		function accept_info(){
			flag[0]=1;
			check_data();
		}
	//----------拒绝协议
		function refuse_info(){
			flag[0]=0;
			check_data();
		}
	//----------重置
		function reset_info(){
			var info=["支持汉字,单词,数字,敏感字符屏蔽","密码在6-16位之间,敏感字符屏蔽","","email是联系重要手段","看不清楚?请点击验证码刷新"]
			for(var i=0;i<$("span").length;i++){
				$("span")[i].innerHTML=info[i];
				flag[i]=0;
			}
			for(var i=0;i<$("input").length-3;i++){
				$("input")[i].value="";
			}
			check_data();
		}
	//----------邮箱检测
		function check_email(email){
			var reEmail=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
			var b_email=reEmail.test(email);
			if(b_email){
				$("span")[3].innerHTML="<img src='images/reg_yesok.gif'/> 邮箱可用";
				flag[1]=1;
				check_data();
			}
			else{
				$("span")[3].innerHTML="<img src='images/reg_yesno.gif'/> 邮箱错误";
				flag[1]=0;
				check_data();
			}
		}
	//----------长度判断
		function getStrActualLen(sChars){  
				return sChars.replace(/[^\x00-\xff]/g,"xx").length;  
			} 

	//***************************************
	//检查中文输入
		function isChinese(str){ 
				var badChar ="ABCDEFGHIJKLMNOPQRSTUVWXYZ"; 
				badChar += "abcdefghijklmnopqrstuvwxyz"; 
				badChar += "0123456789"; 
				badChar += " "+"　";//半角与全角空格 
				badChar += "`~!@#$%^&()-_=+]\\\\|:;\\\\\<,>?/";//不包含*或.的英文符号
				if(""==str){ 
					return false; 
					} 
				for(var i=0;i<str.length;i++){ 
					var c = str.charAt(i);//字符串str中的字符 
					if(badChar.indexOf(c) > -1){ 
						return false; 
						} 
				} 
				return true; 
			} 
	//身份证判断输入
		function   isIdCardNo(num){
				var len = num.length, re;   
				if (len == 15) 
					re = new RegExp(/^(\d{6})()?(\d{2})(\d{2})(\d{2})(\d{3})$/); 
				else if (len == 18) 
					re = new RegExp(/^(\d{6})()?(\d{4})(\d{2})(\d{2})(\d{3})(\d)$/); 
				else {
					return false;} 
				var a = num.match(re); 
				if (a != null) 
				{ 
				  if (len==15) 
				  { 
					  var D = new Date("19"+a[3]+"/"+a[4]+"/"+a[5]); 
					  var B = D.getYear()==a[3]&&(D.getMonth()+1)==a[4]&&D.getDate()==a[5]; 
				  } 
				  else 
				  { 
					  var D = new Date(a[3]+"/"+a[4]+"/"+a[5]); 
					  var B = D.getFullYear()==a[3]&&(D.getMonth()+1)==a[4]&&D.getDate()==a[5]; 
				  } 
				  if (!B) { return false;} 
				}
				return true; 
			} 

	//----------问题检测
		function check_problem(problem){
			if(problem!="" && getStrActualLen(problem)>6){
				$("span")[4].innerHTML="<img src='images/reg_yesok.gif'/> 安全问题正常!";
				flag[4]=1;
				check_data();
			}
			else{
				$("span")[4].innerHTML="<img src='images/reg_yesno.gif'/> 安全问题为空或小于6字节!";
				flag[4]=0;
				check_data();
			}
		}
	//----------答案检测
		function check_Answer(Answer){
			if(Answer!="" && getStrActualLen(Answer)>6){
				$("span")[5].innerHTML="<img src='images/reg_yesok.gif'/> 您的密码取回答案正常!";
				flag[5]=1;
				check_data();
			}
			else{
				$("span")[5].innerHTML="<img src='images/reg_yesno.gif'/> 您的密码取回答案为空或小于6字节!";
				flag[5]=0;
				check_data();
			}
		}
	//----------姓名检测
		function check_UserName(UserName){
			if(UserName!="" && isChinese(UserName) && getStrActualLen(UserName)<9 && getStrActualLen(UserName)>2){
				$("span")[6].innerHTML="<img src='images/reg_yesok.gif'/> 您的姓名正常!";
				flag[6]=1;
				check_data();
			}
			else{
				$("span")[6].innerHTML="<img src='images/reg_yesno.gif'/> 您的姓名错误!";
				flag[6]=0;
				check_data();
			}
		}
	//----------年龄检测
		function check_Age(Age){
			if(Age!="" && !isNaN(Age) && getStrActualLen(Age)<3){
				$("span")[8].innerHTML="<img src='images/reg_yesok.gif'/> 您的年龄正常!";
				flag[7]=1;
				check_data();
			}
			else{
				$("span")[8].innerHTML="<img src='images/reg_yesno.gif'/> 您的年龄错误!";
				flag[7]=0;
				check_data();
			}
		}
	//----------身份证检测
		function check_IdentityNO(IdentityNO){
			if(IdentityNO!="" && isIdCardNo(IdentityNO)){
				$("span")[9].innerHTML="<img src='images/reg_yesok.gif'/> 您的身份证正常!";
				flag[8]=1;
				check_data();
			}
			else{
				$("span")[9].innerHTML="<img src='images/reg_yesno.gif'/> 您的身份证错误!";
				flag[8]=0;
				check_data();
			}
		}
		
	//----------电话检测
		function check_Telephone(Telephone){
			var Tel=/(^[\d]{3,4}-[\d]{7,8}$)|(^[\d]{7,8}$)|(^[\d]{10,12}$)|(^0{0,1}13[0-9]{9}$)/ 
			var b_Tel=Tel.test(Telephone)
			if(b_Tel){
				$("span")[11].innerHTML="<img src='images/reg_yesok.gif'/> 电话正常!";
				flag[9]=1;
				check_data();
			}
			else{
				$("span")[11].innerHTML="<img src='images/reg_yesno.gif'/> 电话格式错误(010-88888888)!";
				flag[9]=0;
				check_data();
			}
		}
	//----------手机检测
		function check_Phone(Phone){
			var Pho=/(^0{0,1}1[3|5][0-9]{9}$)/
			var b_Phone=Pho.test(Phone)
			if(b_Phone){
				$("span")[10].innerHTML="<img src='images/reg_yesok.gif'/> 手机正常!";
				flag[10]=1;
				check_data();
			}
			else{
				$("span")[10].innerHTML="<img src='images/reg_yesno.gif'/> 手机号码错误!";
				flag[10]=0;
				check_data();
			}
		}
	//----------家庭住址检测
		function check_address(address){
			if(getStrActualLen(address)>16){
				$("span")[12].innerHTML="<img src='images/reg_yesok.gif'/> 家庭住址正常!";
				flag[11]=1;
				check_data();
			}
			else{
				$("span")[12].innerHTML="<img src='images/reg_yesno.gif'/> 家庭住址错误(不可小于16字节)!";
				flag[11]=0;
				check_data();
			}
		}
	//----------密码检测
		function check_password(obj){
			var pwd=$("input")[1].value;
			var reChinese=/[\u0391-\uFFE5]+/;
			var b_chinese=reChinese.test(pwd);
			var reSpace=/\s+/;
			var b_space=reSpace.test(pwd);
			//-------长度测试
			if(pwd.length<6){
				$("span")[1].innerHTML="<img src='images/reg_yesno.gif'/> 密码长度不能小于6";
				flag[2]=0;
				check_data();
			}
			//-------合法性检测:不能包含汉字
			else if(b_chinese){
				$("span")[1].innerHTML="<img src='images/reg_yesno.gif'/> 密码不能包含中文";
				flag[2]=0;
				check_data();
			}
			//-------合法性检测:不能包含空格
			else if(b_space){
				$("span")[1].innerHTML="<img src='images/reg_yesno.gif'/> 密码不能包含空格";
				flag[2]=0;
				check_data();
			}
			//-------合法时显示密码强度
			else{
				//定义对应的消息提示
				var num=getResult(pwd);
				var msg=new Array("<img src='images/reg_bad.gif'/> 密码强度差","<img src='images/reg_comm.gif'/> 密码强度一般","<img src='images/reg_good.gif'/> 密码强度强壮");
				$("span")[1].innerHTML=msg[num];
				if($("input")[2].value!=""){
					check_pw();
					}
				return flag[2]=1;
				check_data();
				}
			}
			//定义检测函数,返回0/1/2分别代表差/一般/强
			function getResult(s){
				var ls =-1;
				if (s.match(/[a-z]/ig)){
					ls++;
				}
				if (s.match(/[0-9]/ig)){
					ls++;
				}
	 			if (s.match(/(.[^a-z0-9])/ig)){
					ls++;
				}
				return ls;
			}
		//---------密码一致性检测	
			function check_pw(){
				var pwd=$("input")[1].value.toString();
				var check_pwd=$("input")[2].value.toString();
				if(flag[2]==1){
					if(pwd==check_pwd){
						$("span")[2].innerHTML="<img src='images/reg_yesok.gif'/> 密码可以使用";
						flag[3]=1;
						check_data();
					}
					else{
						$("span")[2].innerHTML="<img src='images/reg_yesno.gif'/> 两次密码不相同";
						flag[3]=0;
						check_data();
					}
				}
			}
		//---------用户名合法性检测
			function check_id(id_name){//只能字母和数字,是否相同用AJAX判断
				var reId=/^[\w\u0391-\uFFE5]+$/;
				var b_id=reId.test(id_name);
				if(!b_id){
					$("span")[0].innerHTML="<img src='images/reg_yesno.gif'/> ID命名非法";
					flag[4]=0;
					check_data();
				}
				else{//合法用户名用ajax的checkid()检测是否被注册过
					checkid(id_name);
				}
			}
		//---------检查数据,使提交按钮是否生效
			function check_data(){
				if(flag[0]==1 && flag[1]==1 && flag[2]==1 && flag[3]==1 && flag[4]==1 && flag[5]==1 && flag[6]==1 && flag[7]==1 && flag[8]==1 && flag[9]==1 && flag[10]==1 && flag[11]==1){
					$("input")[18].disabled=false;
				}
				else{
					$("input")[18].disabled=true;
				}
			}
			
	//--------------------------------------------------------------------
